version: '3'

services:  
  dev-hindernis:
    image: php81:v1
    container_name: dev-hindernis
    volumes:
    - ./:/var/www/html
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.dev-hindernis.entrypoints=https"
      - "traefik.http.routers.dev-hindernis.rule=Host(`nrw-hindernis.hpadm.de`)"
      - "traefik.http.routers.dev-hindernis.tls=true"
      - "traefik.http.routers.dev-hindernis.tls.certresolver=http"
      - "traefik.http.routers.dev-hindernis.middlewares=default@file"
      - "traefik.http.routers.dev-hindernis.service=dev-hindernis"
      - "traefik.http.services.dev-hindernis.loadbalancer.server.port=80"
      - "traefik.docker.network=proxy"
    networks:
      - default
      - proxy
    restart: always

  dev-hindernis-db:
    image: mariadb
    container_name: dev-hindernis-db
    restart: unless-stopped
    environment:
      - MYSQL_ROOT_PASSWORD=geheim #SQL root Passwort eingeben
      - MYSQL_INITDB_SKIP_TZINFO=1
      - MARIADB_AUTO_UPGRADE=1
    volumes:
      - ./database:/var/lib/mysql
    networks:
      - default
      - proxy

networks:
  proxy:
    external: true
